Subject: Re: [PATCH v2 03/13] Provider Methods and Data Structures

From: Roland Dreier <[email-masked]>
Date: Mon, 04 Dec 2006 08:45:30 -0800

> Roland, I think at one time we were talking about changing the Core to
 > better handle this?  Either with attributes/capabilities that the low
 > level driver can set, or by set these method ptrs to NULL and the core
 > should handle it in the wrapper function...

Yes, it would make sense to change the midlayer so we have different
sets of mandatory functions for IB and iWARP drivers.  For example,
the iwcm functions probably should be mandatory for iWARP devices, right?

 - R.